//go:build wireinject
// +build wireinject

package app

import (
	"log/slog"
	"net/http"

	"easyaudioencode/internal/conf"
	"easyaudioencode/internal/data"
	"easyaudioencode/internal/web/api"
	"github.com/google/wire"
)

func WireApp(bc *conf.Bootstrap, log *slog.Logger) (http.Handler, func(), error) {
	panic(wire.Build(data.ProviderSet, api.ProviderVersionSet, api.ProviderSet))
}
